<?php

namespace MintyPHP\Repository\Tenant;

interface UserTenantRepositoryInterface
{
    public function listTenantIdsByUserId(int $userId): array;

    public function replaceForUser(int $userId, array $tenantIds): bool;

    public function countUsersByTenantIds(array $tenantIds): array;

    public function countActiveUsersByTenantIds(array $tenantIds): array;
}
